problem update CWAF to 2.19

hi
i have a problem
i updated 2.18 to 2.19
no massage Success
i did refresh page
after refresh page, i when click on comodo waf in direct admin , please see image attachmented
how to fix?
i see in plugins direct admin, display comodo waf version = 2.19
I am worried , because my site under very attacks
please help me
Thank you

Please, check permissions.
In working system:

# ls -la /usr/local/directadmin/plugins/comodo_waf/admin/
total 36
drwxrwxr-x 3 diradmin root 4096 Nov  2 16:23 .
drwxr-xr-x 6 diradmin root 4096 Dec 16 18:02 ..
drwxrwxr-x 2 diradmin root 4096 Feb  8  2016 conf
-rwxrwxr-x 1 diradmin root  694 Nov  2 16:23 cwaf_catalog.pl
-rwxrwxr-x 1 diradmin root  533 Feb  8  2016 cwaf_catalog.raw
-rwxrwxr-x 1 diradmin root  719 Nov  2 16:23 cwaf_main.pl
-rwxrwxr-x 1 diradmin root  627 Feb  8  2016 cwaf_main.raw
-rwxrwxr-x 1 diradmin root  356 Feb  8  2016 index.html
-rwxrwxr-x 1 diradmin root  899 Nov  2 16:23 index.pl
/code]

hi
i checked
please see my image affter , i did check
how to fix? my cwaf not loading and display error
please help me
Thank you.

Do you use chroot? Could you run from command line:


# /usr/bin/perl -v

for example?

Hi
i login with root access
i tested : # /usr/bin/perl -v
please see image (result)

how to fix? i can not load CWAF after update to 2.19 :frowning:
Thank you.

i tested with all permission (/usr/bin/perl)
older with permission 600 good working and not problem
but after update to 2.19 with 600 not working
i tested with chmod 755 /usr/bin/perl, CWAF loading and working
for best security , which set permission for /usr/bin/perl ?
I am worried, if set 755, public can access to perl
in older version 2.18 not problem with 600
please help me
Thank you.